﻿using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace CardView118708Sample
{
    public class CardViewExtension : DependencyObject
    {
        
        public static string GetGroupHeader(DependencyObject obj)
        {
            return (string)obj.GetValue(GroupHeaderProperty);
        }

        
        public static void SetGroupHeader(DependencyObject obj, string value)
        {
            obj.SetValue(GroupHeaderProperty, value);
        }

        // Using a DependencyProperty as the backing store for GroupHeader.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty GroupHeaderProperty =
            DependencyProperty.RegisterAttached("GroupHeader", typeof(string), typeof(CardViewExtension), new PropertyMetadata(string.Empty, new PropertyChangedCallback(OnGroupHeaderChanged)));

       // The following method for OnGroupHeaderChanged helps to group the cardview item when the group header changes
        private static void OnGroupHeaderChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            if (d is CardView && (d as CardView).CanGroup)
            {
                (d as CardView).Loaded += (s, args) =>
                {
                    if (!string.IsNullOrEmpty(e.NewValue.ToString()))
                    {
                        var headers = e.NewValue.ToString().Split(',');
                        foreach (string header in headers)
                        {
                            (d as CardView).GroupCards(header);
                        }
                    }
                };
               
                
            }
        }


    }
}
